# Upload data

## Fragsample data

Fragsample data is th MS/MS data you prepared in `.mgf` format. To upload a file, click on `My Data` on nav bar then on <span class="status success">Import File</span> :

![Import Button](../images/my-data-1.png)

Click on <span class="status">Browse</span> to select a `.mgf` file to upload. `Sample name` is filled with the file name but you can change it if you want. Description is optional.

![Import Form](../images/my-data-2.png)

!!!warning "Ion source"
Be sure you've selected the right `ion source` : `positive` or `negative`

click on <span class="status success">Upload</span> an you'll see a new line with a loading bar on the `Ions Count` :

![Loading](../images/my-data-3.png)

!!!tip "Waiting time"
Loading can take several minutes after `Ions Count` loading is complete, depending on file size.

When the loading is replaced by a number, you can access to the data by clicking on its name :

![Ready](../images/my-data-4.png)

## Annotations

Once you're on the fragsample page, to upload annotations, click on `Annotations` tab and on <span class="status success">Import File</span>.

![Import File](../images/annotations-1.png)

Click on <span class="status">Browse</span> to select the file ton import and, select the right **format** and click on `Upload`.

![Form](../images/annotations-2.png)
